using System;
using System.Collections.Generic;
using Microsoft.Extensions.Logging;

namespace NTKDemo.Library.Logging
{
    public static class LoggerExtensions
    {
        public static ILoggerFactory AddDemoLogger(this ILoggerFactory loggerFactory, Action<LogLevel, string, object, Dictionary<string, object>, Exception> logAction)
        {
            if (loggerFactory == null)
            {
                throw new ArgumentNullException(nameof(loggerFactory));
            }
            if (logAction == null)
            {
                throw new ArgumentNullException(nameof(logAction));
            }
            var provider = new DemoLoggerProvider(logAction);
            loggerFactory.AddProvider(provider);
            return loggerFactory;
        }
    }
}