﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using System.Threading.Tasks;
using Windows.ApplicationModel.Contacts;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using NTKDemo.Library;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;

// The Blank Page item template is documented at https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace NtkDemo.UI
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            Items.ItemsSource = App.LogItems;
        }

        private async void OnCheckSensors(object sender, RoutedEventArgs e)
        {
            var api = App.Services.GetService<ISmartHomeApi>();
            var results = await api.ReadAndAdjustTemperatureValuesAsync();
        }

        private void OnLogItemChanged(object sender, SelectionChangedEventArgs e)
        {
            if (e.AddedItems.Count == 0)
            {
                return;
            }

            var item = e.AddedItems[0] as LogItem;
            MessageTemplate.Text = $"{item.LogLevel} -> {item.Category}";
            Values.ItemsSource = item.Fields;
        }
    }
}
