﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using NTKDemo.Library;

namespace NtkDemo.Controllers
{
    [Route("api/[controller]")]
    public class SmartHomeController : Controller
    {
        private readonly ISmartHomeApi _api;
        private readonly ILogger<SmartHomeController> _logger;

        public SmartHomeController(ISmartHomeApi api, ILogger<SmartHomeController> logger)
        {
            _api = api ?? throw new ArgumentNullException(nameof(api));
            _logger = logger ?? throw new ArgumentNullException(nameof(logger));
        }

        [HttpGet]
        public Task<IList<RoomTemperatureSensor>> Get()
        {
            _logger.LogInformation("Checking temperatures");
            return _api.ReadAndAdjustTemperatureValuesAsync();
        }
    }
}